services:
  app:
    container_name: ${SERVICE_NAME}
    restart: always
    network_mode: "host"
    build:
      context: .
      dockerfile: Dockerfile
      args:
        - APP_USER=${SERVICE_NAME}
        - UID=${UID}
        - GID=${GID}
        # - PORT=${PORT}
    image: ${SERVICE_NAME}
    # network_mode makes this unaffective
    # ports:
    #   - "${PORT}:${PORT}"
    volumes:
      - "./:/app"
    stdin_open: true
    tty: true
